package com.mx.cneeds.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @ClassName DeviceDto
 * @Author zzrdark
 * @Date 2020-03-25 18:51
 * @Description TODO
 **/
@Data
public class DeviceInfoVo {

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     *
     */
    private Long deptId;

    /**
     * imei
     */
    private String imei;

    /**
     * iccid
     */
    private String iccid;

    /**
     * 状态0未激活，1已激活
     */
    private String activeStatus;

    /**
     * 设备版本
     */
    private String deviceVersion;

    /**
     * 产品系列
     */
    private Long seriesId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 激活时间
     */
    private String activeTime;

    /**
     * 渠道号
     */
    private String channelNums;

    /**
     * 渠道号提示信息
     */
    private String channelNumsMessage;

    /**
     * 0:白名单，1:黑名单
     */
    private Integer channelRules;

    /**
     * 产品系列号
     */
    private String seriesNum;

    /**
     * 渠道号Ids
     */
    private List<Long> channelIds;

    /**
     * sn号
     */
    private String sn;

    /**
     * ca证书状态
     * 0未下载，1已下载
     */
    private String caCertificateStatus;

}
