package com.mx.cneeds.server.device.client;

import com.mx.cneeds.common.annotation.DataFilter;
import com.mx.cneeds.common.dto.DataFilterDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "CNEEDS-SERVER-USER")
public interface UserClient {

    @PostMapping("sys/user/genDataFilter")
    String genDataFilter(@RequestBody DataFilterDto dataFilterDto);
}