package com.mx.cneeds.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mx.cneeds.server.entity.DeviceInfoEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;

/**
 * 设备信息
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-18 14:44:30
 */
@Mapper
public interface DeviceInfoDao extends BaseMapper<DeviceInfoEntity> {

    List<DeviceInfoEntity> queryDeviceByIds(Collection<Long> ids);
}
